GetLine

Prompts the user to pick points that define a line.

Syntax

Rhino.GetLine ([intMode [, arrPoint [, strMessage1 [, strMessage2 [, strMessage3 [, blnBothSides]]]]]])

Parameters

intMode

Optional.  Integer.  The line definition mode. The possible values are as follows:

Value

Description

0 (Default)

Show all modes, start in two-point mode

1

Two-point.  Defines a line from two points.

2

Normal.  Defines a line normal to a location on a surface.

3

Angled.  Defines a line at a specified angle from a reference line.

4

Vertical.  Defines a line vertical to the construction plane.

5

Four-point.  Defines a line using two points to establish direction and two points to establish length.

6

Bisector.  Defines a line that bisects a specified angle.

7

Perpendicular.  Defines a line perpendicular to or from a curve

8

Tangent.  Defines a line tangent from a curve.

9

Extension.  Defines a line that extends from a curve.

arrPoint

Optional.  Array.  An optional starting point. Of omitted, the user will be prompted for the starting point.

strMessage1

Optional.  String.  A prompt or message for the first point.

strMessage2

Optional.  String.  A prompt or message for the second point.

strMessage3

Optional.  String.  A prompt or message for the mid point.

blnBothSides

Optional.  Boolean.  If intMode > 0, then use this option to draw the line on both sides of the start point, creating the object twice as long as you indicate. The default value is False, or to draw the line on just one side of the start point.

Returns

Array

An array of two 3-D points that define the line if successful.

Null

If not successful, or on error.

Example

Dim arrLine

arrLine = Rhino.GetLine

If IsArray(arrLine) Then

Rhino.AddLine arrLine(0), arrLine(1)

End If

Also See

GetBox

GetPoint

GetPolyline

GetRectangle